:: (c) 2003-2007 Electronic Arts Inc.
@echo off
set appname=%1
if exist %1.c set appname=%1.c
if exist %1.cpp set appname=%1.cpp
if exist %1.cs goto iscs
if "%ICL%"=="" set ICL=cl
%ICL% /c /Zi /MT /GF /nologo /O2 /W4 /WX /DQT_NODLL /Fo%1.obj %appname%
goto done
:iscs
set appname=%1.cs
csc %appname%
:done

